net.minecraft.entity.monster

## Class EntityZombie

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLiving
    - - net.minecraft.entity.EntityCreature
      - - net.minecraft.entity.monster.EntityMob
        - - net.minecraft.entity.monster.EntityZombie

- All Implemented Interfaces:
    IMob, IAnimals
  Direct Known Subclasses:
    EntityPigZombie

      public class EntityZombie
      extends EntityMob

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, limbSwing, limbYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLimbYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, field_98038_p, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

    - ### Fields inherited from interface net.minecraft.entity.monster.IMob

      `mobSelector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityZombie(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `attackEntityAsMob(Entity par1Entity)`
    `int` | `getAttackStrength(Entity par1Entity)` Returns the amount of damage a mob should deal.
    `EnumCreatureAttribute` | `getCreatureAttribute()` Get this Entity's EnumCreatureAttribute
    `int` | `getMaxHealth()`
    `float` | `getSpeedModifier()` This method returns a value to be applied directly to entity speed, this factor is less than 1 when a slowdown potion effect is applied, more than 1 when a haste potion effect is applied and 2 for fleeing entities.
    `String` | `getTexture()`
    `int` | `getTotalArmorValue()` Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
    `void` | `handleHealthUpdate(byte par1)`
    `void` | `initCreature()` Initialize this creature.
    `boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
    `boolean` | `isChild()` If Animal, checks if the age timer is negative
    `boolean` | `isConverting()` Returns whether this zombie is in the process of converting to a villager
    `boolean` | `isVillager()` Return whether this zombie is a villager.
    `void` | `onKillEntity(EntityLiving par1EntityLiving)` This method gets called when the entity kills another one.
    `void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
    `void` | `onUpdate()` Called to update the entity's position/logic.
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
    `void` | `setChild(boolean par1)` Set whether this zombie is a child.
    `void` | `setVillager(boolean par1)` Set whether this zombie is a villager.
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

    - ### Methods inherited from class net.minecraft.entity.monster.EntityMob

      `attackEntityFrom, getBlockPathWeight, getCanSpawnHere`

    - ### Methods inherited from class net.minecraft.entity.EntityCreature

      `getEntityToAttack, hasPath, setPathToEntity, setTarget`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `addPotionEffect, canAttackClass, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, canPickUpLoot, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_82143_as, func_94056_bM, func_94057_bL, func_94058_c, func_94059_bO, func_94060_bK, func_94061_f, func_94062_bN, func_96120_a, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArmorPosition, getArrowCountInEntity, getAttackTarget, getCurrentArmor, getCurrentItemOrArmor, getEntityName, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getRotationYawHead, getSwingProgress, getTalkInterval, getVerticalFaceSpeed, hasHome, heal, isBlocking, isEntityAlive, isEntityUndead, isOnLadder, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setEntityHealth, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82149_j, func_85029_a, func_85031_j, func_96090_ax, func_96091_a, func_96092_aw, func_98034_c, func_98035_c, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getExtendedProperties, getHasActivePotion, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getTeleportDirection, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onStruckByLightning, playSound, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityZombie

          public EntityZombie(World par1World)

  - ### Method Detail

    - #### getSpeedModifier

          public float getSpeedModifier()

      This method returns a value to be applied directly to entity speed, this factor is less than 1 when a slowdown potion effect is applied, more than 1 when a haste potion effect is applied and 2 for fleeing entities.
      Overrides:
        `getSpeedModifier` in class `EntityCreature`

    - #### getTexture

          public String getTexture()

      Overrides:
        `getTexture` in class `EntityLiving`

    - #### getMaxHealth

          public int getMaxHealth()

      Specified by:
        `getMaxHealth` in class `EntityLiving`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

      Returns the current armor value as determined by a call to InventoryPlayer.getTotalArmorValue
      Overrides:
        `getTotalArmorValue` in class `EntityLiving`

    - #### isChild

          public boolean isChild()

      If Animal, checks if the age timer is negative
      Overrides:
        `isChild` in class `EntityLiving`

    - #### setChild

          public void setChild(boolean par1)

      Set whether this zombie is a child.

    - #### isVillager

          public boolean isVillager()

      Return whether this zombie is a villager.

    - #### setVillager

          public void setVillager(boolean par1)

      Set whether this zombie is a villager.

    - #### onLivingUpdate

          public void onLivingUpdate()

      Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.
      Overrides:
        `onLivingUpdate` in class `EntityMob`

    - #### onUpdate

          public void onUpdate()

      Called to update the entity's position/logic.
      Overrides:
        `onUpdate` in class `EntityMob`

    - #### attackEntityAsMob

          public boolean attackEntityAsMob(Entity par1Entity)

      Overrides:
        `attackEntityAsMob` in class `EntityMob`

    - #### getAttackStrength

          public int getAttackStrength(Entity par1Entity)

      Returns the amount of damage a mob should deal.
      Overrides:
        `getAttackStrength` in class `EntityMob`

    - #### getCreatureAttribute

          public EnumCreatureAttribute getCreatureAttribute()

      Get this Entity's EnumCreatureAttribute
      Overrides:
        `getCreatureAttribute` in class `EntityLiving`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to write subclass entity data to NBT.
      Overrides:
        `writeEntityToNBT` in class `EntityLiving`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      (abstract) Protected helper method to read subclass entity data from NBT.
      Overrides:
        `readEntityFromNBT` in class `EntityLiving`

    - #### onKillEntity

          public void onKillEntity(EntityLiving par1EntityLiving)

      This method gets called when the entity kills another one.
      Overrides:
        `onKillEntity` in class `Entity`

    - #### initCreature

          public void initCreature()

      Initialize this creature.
      Overrides:
        `initCreature` in class `EntityLiving`

    - #### interact

          public boolean interact(EntityPlayer par1EntityPlayer)

      Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.
      Overrides:
        `interact` in class `Entity`

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `EntityLiving`

    - #### isConverting

          public boolean isConverting()

      Returns whether this zombie is in the process of converting to a villager